## drum-machine 1.5.0

=== Makefile ===
.PHONY: generate-deps

generate-deps:
	flatpak_pip_generator --build-isolation --requirements-file=requirements.txt -o python-dependencies --runtime=org.gnome.Sdk/x86_64/master

=== debian/changelog ===
drum-machine (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1114485)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 07 Aug 2025 07:37:51 +0330

=== debian/control ===
Source: drum-machine
Section: utils
Priority: optional
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 dh-python,
 python3,
 python3-setuptools,
 python3-pygame,
 python3-mido,
 python3-setuptools-scm,
 python3-packaging,
 python3-numpy,
 ninja-build,
 libgio-2.0-dev-bin,
 libglib2.0-bin,
 libadwaita-1-dev,
 pkgconf,
 libgtk-4-dev,
 desktop-file-utils,
 gtk-update-icon-cache,
Standards-Version: 4.7.2
Homepage: https://github.com/Revisto/drum-machine
Vcs-Browser: https://salsa.debian.org/amin_modaresi/drum-machine
Vcs-Git: https://salsa.debian.org/amin_modaresi/drum-machine.git

Package: drum-machine
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 gir1.2-adw-1 (>= 1.6),
 gir1.2-gtk-4.0 (>= 4.16),
 python3-pygame,
 python3-packaging,
 python3-mido,
 python3-numpy,
Description: application for creating, playing, and managing drum patterns
 Drum Machine is a modern and intuitive application for creating,
 playing, and managing drum patterns.
 .
 Perfect for musicians, producers, and anyone interested in rhythm creation,
 .
 this application provides a simple interface for drum pattern programming.

=== debian/watch ===
version=4
https://github.com/Revisto/drum-machine/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## drum-machine 2.2.0

=== requirements.txt ===
pygame
mido
setuptools
setuptools-scm
packaging
numpy

=== debian/changelog ===
drum-machine (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 04 Feb 2026 21:38:41 +0330

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,12 @@
 Source: drum-machine
 Section: utils
-Priority: optional
 Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- dh-python,
  python3,
  python3-setuptools,
- python3-pygame,
- python3-mido,
  python3-setuptools-scm,
- python3-packaging,
- python3-numpy,
- ninja-build,
  libgio-2.0-dev-bin,
  libglib2.0-bin,
  libadwaita-1-dev,
@@ -21,7 +14,10 @@
  libgtk-4-dev,
  desktop-file-utils,
  gtk-update-icon-cache,
-Standards-Version: 4.7.2
+ appstream,
+ blueprint-compiler,
+ dh-sequence-python3,
+Standards-Version: 4.7.3
 Homepage: https://github.com/Revisto/drum-machine
 Vcs-Browser: https://salsa.debian.org/amin_modaresi/drum-machine
 Vcs-Git: https://salsa.debian.org/amin_modaresi/drum-machine.git

=== debian/watch ===
Version: 5
Template: Github
Owner: Revisto
Project: drum-machine
